# $Revision: 1.18 $, $Date: 2010/08/31 06:32:17 $
%include	/usr/lib/rpm/macros.php
%define		_class		MDB2
%define		_subclass	Driver_mssql
%define		_status		beta
%define		_pearname	MDB2_Driver_mssql
%define		subver	b3
%define		rel		1
Summary:	%{_pearname} - mssql MDB2 driver
Summary(pl.UTF-8):	%{_pearname} - sterownik mssql dla MDB2
Name:		php-pear-%{_pearname}
Version:	1.5.0
Release:	0.%{subver}.%{rel}
License:	BSD License
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	9215b90b0597a56357552d8407e04232
URL:		http://pear.php.net/package/MDB2_Driver_mssql/
BuildRequires:	php-pear-PEAR >= 1:1.9.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.3.0
Requires:	php-mssql
Requires:	php-pear
Requires:	php-pear-MDB2 >= 1:2.5.0-0.b3
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the Microsoft SQL Server MDB2 driver.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Sterownik Microsoft SQL Server dla MDB2.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

# pear/tests/pearname/tests -> pear/tests/pearname
mv ./%{php_pear_dir}/tests/%{_pearname}/{tests/*,}
rmdir ./%{php_pear_dir}/tests/%{_pearname}/tests

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/MDB2/Driver/Datatype/mssql.php
%{php_pear_dir}/MDB2/Driver/Manager/mssql.php
%{php_pear_dir}/MDB2/Driver/Native/mssql.php
%{php_pear_dir}/MDB2/Driver/Reverse/mssql.php
%{php_pear_dir}/MDB2/Driver/mssql.php
%{php_pear_dir}/MDB2/Driver/Function/mssql.php
%{php_pear_dir}/data/%{_pearname}

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/%{_pearname}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-MDB2_Driver_mssql.spec,v $
Revision 1.18  2010/08/31 06:32:17  glen
- up to 1.5.0b3

Revision 1.17  2010/08/21 19:08:05  glen
- updated deps with pearize.sh
- release 2

Revision 1.16  2010/08/19 13:53:34  glen
- up to 1.3.0b2

Revision 1.15  2008/01/31 12:17:04  glen
- rel 4

Revision 1.14  2007-12-27 19:25:51  glen
- rel 3

Revision 1.13  2007-12-27 19:24:17  glen
- files fix

Revision 1.12  2007/03/16 21:06:19  glen
- 1.2.0

Revision 1.11  2007/03/01 00:27:40  glen
- 1.1.2-stable; added -tests

Revision 1.10  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.9  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.8  2006/11/26 13:44:50  glen
- rel 2: use php(extension) virtuals

Revision 1.7  2006/06/21 23:31:12  adamg
- updated to 1.1.0

Revision 1.6  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.5  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.4  2006/02/16 20:31:33  qboosh
- updated md5

Revision 1.3  2006/02/16 18:34:31  glen
- 1.0.0-stable

Revision 1.2  2005/12/14 22:24:17  adamg
- fix MDB2 version in R: (thanks glen)

Revision 1.1  2005/12/14 21:53:54  adamg
- new (drivers for MDB2 that are now released as separate packages)
